# nng_version(3) Manual Page

## NAME

nng_version - report library version

## SYNOPSIS

    #include <nng/nng.h>

    const char * nng_version(void);

## DESCRIPTION

The `nng_version()` function returns a human readable version number for NNG.

Additionally, compile time version information is available via some predefined macros:

`NNG_MAJOR_VERSION` | Major version number.
`NNG_MINOR_VERSION` | Minor version number.
`NNG_PATCH_VERSION` | Patch version number.

NNG is developed and released using Semantic Versioning 2.0, and the version numbers reported refer to both the API and the library itself. (The ABI — application binary interface — between the library and the application is controlled in a similar, but different manner depending upon the link options and how the library is built.)

## RETURN VALUES

Null-terminated string containing the library version number.

## ERRORS

None.

## SEE ALSO

libnng(3), nng(7)